
Installer - Bug #35524

SSO feature settings are not getting enabled and fails with HTTPD CONF issue

09/13/2022 02:03 PM - Ewoud Kohl van Wijngaarden

Status: Closed   

Priority: Normal   

Assignee: Ewoud Kohl van Wijngaarden   

Category: External modules   

Target version: 3.3.1   

Difficulty:  Fixed in Releases: 3.3.1, 3.4.1, 3.5.0

Triaged: Yes Found in Releases: 3.3.0

Bugzilla link: 2113905 Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman-i

nstaller/pull/806,

https://github.com/theforeman/foreman-i

nstaller/pull/807,

https://github.com/theforeman/puppet-for

eman/pull/1086,

https://github.com/theforeman/foreman-i

nstaller/pull/809,

https://github.com/theforeman/foreman-i

nstaller/pull/810

  

Description

Description of problem:

While enabling the feature for SSO, Foreman failed to start on RHEL 8

Steps to Reproduce:

Follow the steps mentioned here 

https://docs.theforeman.org/3.3/Administering_Project/index-katello.html#Configuring_Project_with_Keycloak_Authentication_keyclo

ak-general

Related issues:

Related to Installer - Feature #34590: Run Apache httpd without default modul... Closed

Associated revisions

Revision 71d6c22e - 11/01/2022 02:50 PM - Ewoud Kohl van Wijngaarden

Fixes #35524 - Require puppetlabs-apache 8.x

This is required for SSO to work correctly with Keycloak.

History

#1 - 09/13/2022 02:03 PM - Ewoud Kohl van Wijngaarden

- Related to Feature #34590: Run Apache httpd without default modules from puppetlabs-apache added

#2 - 09/13/2022 02:04 PM - Ewoud Kohl van Wijngaarden

- Category set to External modules

- Target version set to 3.3.1

- Triaged changed from No to Yes

- Found in Releases 3.3.0 added

#3 - 09/13/2022 02:15 PM - Ewoud Kohl van Wijngaarden

- Status changed from New to Closed

- Fixed in Releases 3.5.0 added

This is fixed in https://github.com/puppetlabs/puppetlabs-apache/pull/2283, which is already in nightly. Specific cherry picks are needed.
#4 - 09/13/2022 02:28 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/806 added

#5 - 09/15/2022 09:35 AM - The Foreman Bot

- Fixed in Releases 3.4.1 added

#6 - 09/15/2022 09:36 AM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/807 added

#7 - 09/15/2022 10:00 AM - The Foreman Bot

- Fixed in Releases 3.3.1 added

#8 - 09/16/2022 12:21 PM - The Foreman Bot

- Pull request https://github.com/theforeman/puppet-foreman/pull/1086 added

#9 - 09/26/2022 01:36 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/809 added

#10 - 09/26/2022 01:52 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/810 added

#11 - 09/26/2022 01:55 PM - The Foreman Bot

- Pull request https://github.com/theforeman/foreman-installer/pull/808 added

#12 - 09/26/2022 02:00 PM - Ewoud Kohl van Wijngaarden

- Pull request deleted (https://github.com/theforeman/foreman-installer/pull/808)

#13 - 10/06/2022 03:25 PM - Ewoud Kohl van Wijngaarden

- Subject changed from SSO feature settings are not getting enabled and failed with HTTPD CONF issue to SSO feature settings are not getting

enabled and fails with HTTPD CONF issue
